namespace EDPlayerJournal.Entries;

public class DropshipDeployEntry : Entry {
    /// <summary>
    /// Star system this drop happened in.
    /// </summary>
    public string? StarSystem { get; set; }

    /// <summary>
    /// System address
    /// </summary>
    public ulong? SystemAddress { get; set; }

    /// <summary>
    /// Planetary body
    /// </summary>
    public string? Body { get; set; }

    /// <summary>
    /// Body ID
    /// </summary>
    public ulong? BodyID { get; set; }

    /// <summary>
    /// Whether it happened on station.
    /// </summary>
    public bool? OnStation { get; set; }

    /// <summary>
    /// Whether it happened on a planet.
    /// </summary>
    public bool? OnPlanet { get; set; }

    protected override void Initialise() {
        StarSystem = JSON.Value<string?>("StarSystem");
        SystemAddress = JSON.Value<ulong?>("SystemAddress");
        Body = JSON.Value<string?>("Body");
        BodyID = JSON.Value<ulong?>("BodyID");
        OnStation = JSON.Value<bool?>("OnStation");
        OnPlanet = JSON.Value<bool?>("OnPlanet");
    }
}
